ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-12195) HiveServer2 should pass correct version to the deregister command during RU
Date Tue, 30 Jun 2015 22:52:05 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-12195?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14609209#comment-14609209
] 

Hudson commented on AMBARI-12195:
---------------------------------

SUCCESS: Integrated in Ambari-branch-2.1 #154 (See [https://builds.apache.org/job/Ambari-branch-2.1/154/])
AMBARI-12195. HiveServer2 should pass correct version to the deregister command during RU
(srimanth) (sgunturi: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=efa4d6d20bae61129f00c01469ebfc2781943c4d)
* ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/params_linux.py
* ambari-server/src/main/resources/stacks/HDP/2.2/upgrades/upgrade-2.3.xml
* ambari-server/src/main/resources/stacks/HDP/2.2/upgrades/upgrade-2.2.xml
* ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/hive_server_upgrade.py
* ambari-server/src/test/python/stacks/2.0.6/HIVE/test_hive_server.py
* ambari-common/src/main/python/resource_management/libraries/functions/hdp_select.py
* ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/upgrade-2.3.xml


> HiveServer2 should pass correct version to the deregister command during RU
> ---------------------------------------------------------------------------
>
>                 Key: AMBARI-12195
>                 URL: https://issues.apache.org/jira/browse/AMBARI-12195
>             Project: Ambari
>          Issue Type: Bug
>          Components: contrib
>    Affects Versions: 2.1.0
>            Reporter: Srimanth Gunturi
>            Assignee: Srimanth Gunturi
>             Fix For: 2.1.0
>
>         Attachments: AMBARI-12195.patch
>
>
> During RU when we restart HiveServer2 component, we _deregister_ the old version by providing
the HDP version instead of the Hive version - due to which deregister does not work properly.
> {code}
> hive --config /usr/hdp/current/hive-server2/conf/conf.server --service hiveserver2 --deregister
2.3.0.0-2458
> {code}
> We should provide the correct Hive version when above command is called. This could be
got from running {{hive --version}} and parsing the output.
> {noformat}
> # hive --version
> Hive 1.2.1.2.3.0.0-2466
> Subversion git://ip-10-0-0-89.ec2.internal/grid/0/jenkins/workspace/HDP-dal-centos6/bigtop/build/hive/rpm/BUILD/hive-1.2.1.2.3.0.0
-r 63b17d6cb03530be6dc7f44cbbf21eb0d14cd0b3
> Compiled by jenkins on Wed Jun 24 10:29:28 EDT 2015
> From source with checksum b0e0440f018a0ef995ed5208e4515099
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message